package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TextMessage;

/**
 * 短信设置Mapper接口
 * 
 * @author ruoyi
 * @date 2021-07-20
 */
public interface TextMessageMapper 
{
    /**
     * 查询短信设置
     * 
     * @param id 短信设置ID
     * @return 短信设置
     */
    public TextMessage selectTextMessageById(Long id);

    /**
     * 查询短信设置列表
     * 
     * @param textMessage 短信设置
     * @return 短信设置集合
     */
    public List<TextMessage> selectTextMessageList(TextMessage textMessage);

    /**
     * 新增短信设置
     * 
     * @param textMessage 短信设置
     * @return 结果
     */
    public int insertTextMessage(TextMessage textMessage);

    /**
     * 修改短信设置
     * 
     * @param textMessage 短信设置
     * @return 结果
     */
    public int updateTextMessage(TextMessage textMessage);

    /**
     * 删除短信设置
     * 
     * @param id 短信设置ID
     * @return 结果
     */
    public int deleteTextMessageById(Long id);

    /**
     * 批量删除短信设置
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTextMessageByIds(Long[] ids);
}
